Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040942
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] StoreServerminorhave not tried2019-05-23 16:322019-05-28 12:46
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9324df90e839
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040942: Possibly do not stop syncing if the sync error is that there are batches pending to sync from ss

DescriptionThe syncing from cs to ss stops also in case there is a temporary state that the ss is offline but has batches to sync.

[1]
Cannot import batches while the server status is not online if there are batches pending to be sent from the store server
Steps To Reproduceuse a breakpoint in a writer in central so that batches from the store are blocked in debug mode
Proposed SolutionNote:
- the syncing should stop if there are batches in error from the store to cs and the store is offline
- however if there are no batches in error then the syncing should not be stopped.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112127)
hgbot (developer)
2019-05-24 14:27

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 9324df90e839ff36cf14fa98e651a7f3f601d2a5
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri May 24 14:27:25 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/9324df90e839ff36cf14fa98e651a7f3f601d2a5 [^]

Fixes issue 40942: Possibly do not stop syncing if the sync error is that there are batches pending to sync from ss
Do not stop syncing in case of waiting to sync for the ss if there are no errors.

---
M src/org/openbravo/replication/symmetricds/extensions/OfflineIncomingSynchronizationPreventer.java
M src/org/openbravo/replication/symmetricds/extensions/SynchronizationErrorAcknowledger.java
---
(0112205)
AugustoMauch (developer)
2019-05-28 12:46

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-05-23 16:32 mtaal New Issue
2019-05-23 16:32 mtaal Assigned To => mtaal
2019-05-23 16:32 mtaal Triggers an Emergency Pack => No
2019-05-24 14:27 mtaal Review Assigned To => AugustoMauch
2019-05-24 14:27 hgbot Checkin
2019-05-24 14:27 hgbot Note Added: 0112127
2019-05-24 14:27 hgbot Status new => resolved
2019-05-24 14:27 hgbot Resolution open => fixed
2019-05-24 14:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/9324df90e839ff36cf14fa98e651a7f3f601d2a5 [^]
2019-05-28 12:46 AugustoMauch Note Added: 0112205
2019-05-28 12:46 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker